#ifndef LOGIN_DIALOG_H
#define LOGIN_DIALOG_H

#include <QDialog>

namespace Ui {
    class LoginDialog;
}

class LoginDialog : public QDialog
{
    Q_OBJECT

public:
    explicit LoginDialog(QWidget *parent = 0);
    ~LoginDialog();
    void setType(int type);
    void setLoginName(const QString & login);

private:
    Ui::LoginDialog *ui;

private slots:
    void on_radioButtonRegistered_clicked();
    void on_radioButtonAnonymous_clicked();
    void on_toolButtonLogin_clicked();

signals:
    void loginAnonymous(const QString & email);
    void loginRegistered(const QString & login, const QString & password);
};

#endif // LOGIN_DIALOG_H
