#ifndef MSO_INIFILE_H
#define MSO_INIFILE_H

#include <QSettings>
#include <QTextCodec>
#include <QHash>

class MSO_IniFile
{
public:
    explicit MSO_IniFile(const QString & iniFilePath);

    QString helpdeskServerUrl;
    QString helpdeskServerPort;
    QString userEmail;
    QString userSoftwareInfo;

private:
    QSettings *settingsObj;
    QHash<QString,QString> *values;

signals:

public slots:

};

#endif // MSO_INIFILE_H
