#ifndef NEWTICKET_DIALOG_H
#define NEWTICKET_DIALOG_H

#include <QDialog>

namespace Ui {
    class NewTicketDialog;
}

class NewTicketDialog : public QDialog
{
    Q_OBJECT

public:
    explicit NewTicketDialog(QWidget *parent = 0);
    ~NewTicketDialog();

private:
    Ui::NewTicketDialog *ui;

signals:
    void saveTicket(const QString & ticketSubj, const QString & ticketBody, const QString & filePath);

private slots:
    void on_pushButtonExplore_clicked();
    void on_toolButton_clicked();
    void on_pushButtonSend_clicked();
};

#endif // NEWTICKET_DIALOG_H
