#ifndef REQUESTSLISTMODEL_H
#define REQUESTSLISTMODEL_H

#include <QObject>
#include <QAbstractTableModel>

class RequestsListModel : public QAbstractTableModel
{
    Q_OBJECT
public:
    explicit RequestsListModel(QObject *parent = 0);
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant data(const QModelIndex &index, int role) const;
    bool setData ( const QModelIndex & index, const QVariant & value, int role = Qt::EditRole );
    void setupModel(const QList<QVariant> & rows);
    QVariant headerData(int section, Qt::Orientation orientation, int role) const;

private:
    QList<QVariant> rows;

signals:

public slots:

};

#endif // REQUESTSLISTMODEL_H
